package com.bc_chat.bc_base.contract


import com.bc_chat.bc_base.entity.group.Group
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface GroupInfoContract {

    interface Presenter {
        /**
         * 获取群信息
         */
        fun groupinfoTask(groupId: String?, isShowDialog: Boolean? = true)

    }

    interface View : BaseContract.BaseView {

        fun groupinfoSuccess(groupInfo: Group)

        fun groupinfoFailure(exception: Exception)
    }
}
